#simplest ruby program to read from arduino serial, 
#using Ruby/SerialPort library
#(http://ruby-serialport.rubyforge.org)

require "serialport.so"

#params for serial port
port_str = "/dev/ttyUSB0"  #may be different for you
baud_rate = 115200
data_bits = 8
stop_bits = 1
parity = SerialPort::NONE

sp = SerialPort.new(port_str, baud_rate, data_bits, stop_bits, parity)

#just read forever
while true do
  puts "send 1"
  sp.putc('1')
  sleep(1)
  puts "send 2"
  sp.putc('2')
  sleep(1)
end

sp.close                       #see note 1
